aboutsummaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2009-07-01 19:40:47 -0700
committerJunio C Hamano <gitster@pobox.com>2009-07-01 19:40:47 -0700
commit4197195bee15f120e99d797b22108fd274235fd7 (patch)
treee5307d7a46959237ab60e43bf3131453855ba405 /t
parent3eb1e8ee1f968e9bb5ade30f17d1f49396b4c81c (diff)
parentdf533f34a31890a43baaf00d03c0a7fa51886bc5 (diff)
downloadgit-4197195bee15f120e99d797b22108fd274235fd7.tar.gz
git-4197195bee15f120e99d797b22108fd274235fd7.tar.xz
Merge branch 'ne/maint-1.6.0-diff-tree-t-r-show-directory'
* ne/maint-1.6.0-diff-tree-t-r-show-directory: diff-tree -r -t: include added/removed directories in the output
Diffstat (limited to 't')
-rwxr-xr-xt/t4037-diff-r-t-dirs.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/t/t4037-diff-r-t-dirs.sh b/t/t4037-diff-r-t-dirs.sh
new file mode 100755
index 000000000..f5ce3b29a
--- /dev/null
+++ b/t/t4037-diff-r-t-dirs.sh
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+test_description='diff -r -t shows directory additions and deletions'
+
+. ./test-lib.sh
+
+test_expect_success setup '
+ mkdir dc dr dt &&
+ >dc/1 &&
+ >dr/2 &&
+ >dt/3 &&
+ >fc &&
+ >fr &&
+ >ft &&
+ git add . &&
+ test_tick &&
+ git commit -m initial &&
+
+ rm -fr dt dr ft fr &&
+ mkdir da ft &&
+ for p in dc/1 da/4 dt ft/5 fc
+ do
+ echo hello >$p || exit
+ done &&
+ git add -u &&
+ git add . &&
+ test_tick &&
+ git commit -m second
+'
+
+cat >expect <<\EOF
+A da
+A da/4
+M dc
+M dc/1
+D dr
+D dr/2
+A dt
+D dt
+D dt/3
+M fc
+D fr
+D ft
+A ft
+A ft/5
+EOF
+
+test_expect_success verify '
+ git diff-tree -r -t --name-status HEAD^ HEAD >actual &&
+ test_cmp expect actual
+'
+
+test_done